re_comp(3)

NAME
re_comp, re_exec - BSD regex functions

SYNOPSIS
#include <regex.h>

char *re_comp(char *regex);
int re_exec(char *string);

DESCRIPTION
re_comp is used to compile the null-terminated regular expression pointed to by regex. The compiled pattern occupies a static area, the pattern buffer, which is overwritten by subsequent use of re_comp. If regex is NULL, no operation is performed and the pattern buffer's contents are not altered. re_exec is used to assess whether the null-terminated string pointed to by string matches the previously compiled regex.

RETURN VALUE
re_comp returns NULL on successful compilation of regex otherwise it returns a pointer to an appropriate error message. re_exec returns 1 for a successful match, zero for failure.

CONFORMING TO
BSD 4.3

SEE ALSO
regex(7), GNU regex manual